# Uses of Class
java.awt.AWTKeyStroke

Packages that use AWTKeyStroke
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of AWTKeyStroke in java.awt

Methods in java.awt that return AWTKeyStroke
Modifier and Type
Method
Description
`static AWTKeyStroke`
AWTKeyStroke.`getAWTKeyStroke(char keyChar)`
Returns a shared instance of an `AWTKeyStroke` that represents a `KEY_TYPED` event for the specified character.
`static AWTKeyStroke`
AWTKeyStroke.`getAWTKeyStroke(int keyCode, int modifiers)`
Returns a shared instance of an `AWTKeyStroke`, given a numeric key code and a set of modifiers.
`static AWTKeyStroke`
AWTKeyStroke.`getAWTKeyStroke(int keyCode, int modifiers, boolean onKeyRelease)`
Returns a shared instance of an `AWTKeyStroke`, given a numeric key code and a set of modifiers, specifying whether the key is activated when it is pressed or released.
`static AWTKeyStroke`
AWTKeyStroke.`getAWTKeyStroke(Character keyChar, int modifiers)`
Returns a shared instance of an `AWTKeyStroke` that represents a `KEY_TYPED` event for the specified Character object and a set of modifiers.
`static AWTKeyStroke`
AWTKeyStroke.`getAWTKeyStroke(String s)`
Parses a string and returns an `AWTKeyStroke`.
`static AWTKeyStroke`
AWTKeyStroke.`getAWTKeyStrokeForEvent(KeyEvent anEvent)`
Returns an `AWTKeyStroke` which represents the stroke which generated a given `KeyEvent`.
Methods in java.awt that return types with arguments of type AWTKeyStroke
Modifier and Type
Method
Description
`Set<AWTKeyStroke>`
KeyboardFocusManager.`getDefaultFocusTraversalKeys(int id)`
Returns a Set of default focus traversal keys for a given traversal operation.
`Set<AWTKeyStroke>`
Component.`getFocusTraversalKeys(int id)`
Returns the Set of focus traversal keys for a given traversal operation for this Component.
`Set<AWTKeyStroke>`
Container.`getFocusTraversalKeys(int id)`
Returns the Set of focus traversal keys for a given traversal operation for this Container.
`Set<AWTKeyStroke>`
Window.`getFocusTraversalKeys(int id)`
Gets a focus traversal key for this Window.
Method parameters in java.awt with type arguments of type AWTKeyStroke
Modifier and Type
Method
Description
`void`
KeyboardFocusManager.`setDefaultFocusTraversalKeys(int id, Set<? extends AWTKeyStroke> keystrokes)`
Sets the default focus traversal keys for a given traversal operation.
`void`
Component.`setFocusTraversalKeys(int id, Set<? extends AWTKeyStroke> keystrokes)`
Sets the focus traversal keys for a given traversal operation for this Component.
`void`
Container.`setFocusTraversalKeys(int id, Set<? extends AWTKeyStroke> keystrokes)`
Sets the focus traversal keys for a given traversal operation for this Container.

## Uses of AWTKeyStroke in javax.swing

Subclasses of AWTKeyStroke in javax.swing
Modifier and Type
Class
Description
`class`
`KeyStroke`
A KeyStroke represents a key action on the keyboard, or equivalent input device.
Method parameters in javax.swing with type arguments of type AWTKeyStroke
Modifier and Type
Method
Description
`void`
JComponent.`setFocusTraversalKeys(int id, Set<? extends AWTKeyStroke> keystrokes)`
Sets the focus traversal keys for a given traversal operation for this Component.